@misc{enwiki:aes,
  author       = {{Wikipedia contributors}},
  title        = {Advanced Encryption Standard --- {Wikipedia}{,} The Free Encyclopedia},
  year         = {2023},
  howpublished = {\url{https://en.wikipedia.org/w/index.php?title=Advanced_Encryption_Standard&oldid=1154244401}},
  note         = {[Online; accessed 16-May-2023]}
}

@misc{enwiki:block-cipher-mode,
  author       = {{Wikipedia contributors}},
  title        = {Block cipher mode of operation --- {Wikipedia}{,} The Free Encyclopedia},
  year         = {2023},
  howpublished = {\url{https://en.wikipedia.org/w/index.php?title=Block_cipher_mode_of_operation&oldid=1154901199}},
  note         = {[Online; accessed 16-May-2023]}
}

@misc{flast101:poracle,
  author       = {flast101},
  title        = {Padding Oracle Attack Explained},
  year         = {2020},
  howpublished = {\url{https://flast101.github.io/padding-oracle-attack-explained/}}
}

@misc{enwiki:padding-oracle-attack,
  author       = {{Wikipedia contributors}},
  title        = {Padding oracle attack --- {Wikipedia}{,} The Free Encyclopedia},
  year         = {2022},
  howpublished = {\url{https://en.wikipedia.org/w/index.php?title=Padding_oracle_attack&oldid=1088720142}},
  note         = {[Online; accessed 16-May-2023]}
}

@book{van2021hardware,
  title     = {The Hardware Hacking Handbook: Breaking Embedded Security with Hardware Attacks},
  author    = {van Woudenberg, J. and O'Flynn, C.},
  isbn      = {9781593278748},
  lccn      = {2021027424},
  url       = {https://books.google.fr/books?id=DEqatAEACAAJ},
  year      = {2021},
  publisher = {No Starch Press}
}
